.Footer {
    display: block;
    margin-bottom: 0;
    color: $white;
    background-color: $black;

    &-Lang {
        display: flex;
        margin-bottom: 2rem;
        align-items: center;
        cursor: pointer;

        span {
            font-family: 'Work Sans', sans-serif;
            font-size: 14px;
            font-weight: 500;
            line-height: 32px;

            &:last-child {
                text-decoration: underline;
            }
        }

        img {
            width: 16px;
            height: 16px;
            border-radius: 50%;
            margin: 0 12px;
            object-fit: cover;
        }
    }

    &-Top {
        padding: 54px 0 24px;
        border-bottom: 1px solid $grey-6-color;

        @include mobile {
            padding: 24px 0;
            border: 0;
        }
    }

    &-Mid {
        padding: 24px 0;
        border-bottom: 1px solid $grey-6-color;

        @include mobile {
            border: 0;
        }

        .CmsBlock-Wrapper {
            overflow: auto;

            @include mobile {
                border-bottom: 1px solid $grey-6-color;
            }

            &::after {
                display: table;
                clear: both;
                content: '';
            }

            .Footer-Block {
                float: left;

                @include mobile {
                    margin: 0 0 24px;
                }

                &-Title {
                    margin: 0 0 12px;

                    @include mobile {
                        margin: 0 0 24px;
                    }
                }

                &:nth-child(1),
                &:nth-child(3) {
                    width: 27.2%;

                    @include mobile {
                        width: 100%;
                    }
                }

                &:nth-child(2) {
                    width: 45.6%;

                    @include mobile {
                        width: 100%;
                    }
                }

                ul {
                    margin: 0;

                    li {
                        display: inline-block;
                        margin: 0 12px 0 0;

                        &:last-child {
                            margin: 0;
                        }
                    }
                }
            }
        }
    }

    &-Bottom {
        padding: 12px 0;
        color: $grey-2-color;
        font-size: 12px;
        text-align: left;
    }

    &-WrapperTop {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-column-gap: 1.6rem;

        @include mobile {
            display: block;
        }
    }

    &-Block,
    &-AlignWrapper {
        text-align: left;

        a,
        a:hover,
        a:visited,
        a:active {
            color: $white;
            text-decoration: none;

            &.cta-link {
                color: $default-lime-color;
                font-size: 14px;
            }
        }

        p {
            font-size: 12px;
        }

        ul {
            margin: 0 0 40px;
            list-style-type: none;

            @include mobile {
                margin: 0 0 30px;
            }

            li {
                padding: 0;
                margin: 0 0 21px;
                font-size: 12px;

                &::before {
                    content: none;
                }
            }
        }

        .fb,
        .ig,
        .yt {
            padding-left: 36px;

            @include mobile {
                display: inline-block;
                padding: 0 48px 0 0;
                margin: 0;
            }

            a {
                position: static;

                @include mobile {
                    span {
                        display: none;
                    }
                }

                &::before {
                    position: absolute;
                    left: 0;

                    @include mobile {
                        margin-right: 5px;
                        position: static;
                    }
                }
            }
        }

        .fb {
            a::before {
                content: url('../../style/images/fb.svg');
            }
        }

        .ig {
            a::before {
                content: url('../../style/images/ig.svg');
            }
        }

        .yt {
            a::before {
                content: url('../../style/images/yt.svg');
            }
        }

        &_contact {
            grid-row: 1;

            .email {
                &::before {
                    content: url('../../style/images/email.svg');
                }
            }

            .phone {
                &::before {
                    content: url('../../style/images/telephone.svg');
                }
            }

            .store {
                &::before {
                    content: url('../../style/images/location.svg');
                }
            }

            ul {
                li {
                    padding-left: 4.5rem;
                    margin-bottom: 24px;
                    color: $grey-3-color;
                    font-size: 12px;

                    &::before {
                        left: 0;
                    }

                    .Item-Title {
                        display: inline-block;
                        margin: 0 0 8px;
                        color: $white;
                        font-size: 14px;
                    }
                }
            }
        }

        &_info,
        &_help {
            @include mobile {
                order: 1;

                .Footer-Block-Title {
                    display: inline-block;

                    &::after {
                        display: inline-block;
                        width: 8px;
                        height: 4px;
                        position: absolute;
                        top: 42%;
                        right: -16px;
                        transform-origin: center;
                        background-image: url('../../style/images/arrow_up.svg');
                        transition: transform 200ms;
                        content: '';
                    }

                    &[data-mobile='close']::after {
                        transform: rotate(180deg);
                    }
                }
            }
        }

        &_help {
            @include mobile {
                margin: 0;
            }
        }

        &-Title {
            margin: 0 0 24px;
            font-size: 14px;
        }

        &_socials ul {
            li {
                margin-bottom: 35px;
            }

            @include mobile {
                text-align: center;

                li:last-child {
                    padding: 0;
                }
            }
        }
    }

    &-AlignWrapper {
        grid-column: 2 / 5;

        @include mobile {
            display: flex;
            flex-direction: column;
        }

        &Top,
        &Bottom .CmsBlock-Wrapper {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
        }

        &Top {
            @include mobile {
                display: flex;
                flex-direction: column;
                order: 1;
            }
        }

        &Bottom {
            @include mobile {
                margin: 0 0 22px;
                order: 0;

                .CmsBlock-Wrapper {
                    display: block;
                }

                .bottom-link {
                    font-size: 16px;
                }
            }
        }
    }

    .Image {
        height: initial;
        padding: 0;

        &-Image {
            border-radius: 4px;
            position: initial;
        }
    }
}

.prm {
    .Footer {
        border-top: 1px solid #f5f5f5;
        color: $black;
        background-color: $white;

        .bottom-link {
            font-weight: 500;
        }

        &-Block,
        &-AlignWrapper {
            a,
            a:hover,
            a:visited,
            a:active {
                color: $black;
                font-weight: 500;
            }

            &_contact {
                ul {
                    li {
                        .Item-Title {
                            color: $black;
                        }
                    }
                }
            }
        }

        &-Top,
        &-Mid {
            border-color: #f5f5f5;
        }

        &-Bottom {
            font-weight: 500;

            @include mobile {
                padding: 0 0 24px;
            }
        }

        &-Block {
            &-Title {
                font-family: $font-work-sans;
                font-weight: 500;
            }

            ul {
                li {
                    color: $grey-4-color;

                    &::before,
                    ::before {
                        filter: brightness(0);
                    }

                    span,
                    p {
                        font-weight: 500;
                    }

                    @include mobile {
                        color: $grey-6-color;
                    }
                }
            }
        }
    }
}
